package schedule

import (
	"net/http"

	"github.com/zeromicro/go-zero/rest/httpx"
	"gitlink.org.cn/JointCloud/pcm-coordinator/api/internal/logic/schedule"
	"gitlink.org.cn/JointCloud/pcm-coordinator/api/internal/svc"
	"gitlink.org.cn/JointCloud/pcm-coordinator/api/internal/types"
	"gitlink.org.cn/JointCloud/pcm-coordinator/pkg/repository/result"
)

func DownloadAlgothmCodeHandler(svcCtx *svc.ServiceContext) http.HandlerFunc {
	return func(w http.ResponseWriter, r *http.Request) {
		var req types.DownloadAlgorithmCodeReq
		if err := httpx.Parse(r, &req); err != nil {
			result.ParamErrorResult(r, w, err)
			return
		}

		l := schedule.NewDownloadAlgothmCodeLogic(r.Context(), svcCtx)
		resp, err := l.DownloadAlgorithmCode(&req)
		result.HttpResult(r, w, resp, err)
	}
}
